# vim:fileencoding=utf-8

require 'resque_admin/tasks'
require 'resque_admin-scheduler'

namespace :resque_admin do
  task :setup

  def scheduler_cli
    @scheduler_cli ||= ResqueAdmin::Scheduler::Cli.new(
      %W(#{ENV['RESQUE_SCHEDULER_OPTIONS']})
    )
  end

  desc 'Start ResqueAdmin Scheduler'
  task scheduler: :scheduler_setup do
    scheduler_cli.setup_env
    scheduler_cli.run_forever
  end

  task :scheduler_setup do
    scheduler_cli.parse_options
    Rake::Task['resque_admin:setup'].invoke unless scheduler_cli.pre_setup
  end
end
